- Qt 5.15
- Qt GUI
- C++ Classes
- QColor
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QColor

The following members of class QColor are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` QColor | dark(int factor = 200) const
`(obsolete)` void | getCmyk(int *c, int *m, int *y, int *k, int *a = nullptr)
`(obsolete)` void | getCmykF(qreal *c, qreal *m, qreal *y, qreal *k, qreal *a = nullptr)
`(obsolete)` QColor | light(int factor = 150) const

## Member Function Documentation

### QColor QColor::dark(int factor = 200) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use darker(factor) instead.

### void QColor::getCmyk(int *c, int *m, int *y, int *k, int *a = nullptr)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use the `const` overload instead.

### void QColor::getCmykF(qreal *c, qreal *m, qreal *y, qreal *k, qreal *a = nullptr)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use the `const` overload instead.

### QColor QColor::light(int factor = 150) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use lighter(factor) instead.